import BASEURL from './config'
import Tip from './tip'
// import { removeLocalStorage, getLocalStorage } from '@/plug/wxPlug.js'

const request = async(params = {}) => {
  Tip.loading();
    let data = params.query || {};
    let url = BASEURL + params.url;
    let method = params.method
    let token = uni.getStorageSync('token');
    
    // if (params.method === 'GET') {}
    const res = await uni.request({
        url: url,
        method: method,
        data: data,
        header: {
            'Content-Type': 'application/json',
            token
        }
    })
    Tip.loaded();


    const response = res[1]

  

    const result = response.data
    if (result.status === 401) {
      Tip.error(result.msg)
      uni.redirectTo({
          url: '/pages/index/index'
      })
    }
    if (result.status === 500) {
      Tip.error(result.msg)
    }
  return result;


}

module.exports = {
    request
  }